Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 6515

Summary: getting shell-init warning during print
Product: [Retired] Red Hat Linux Reporter: steele
Component: lprAssignee: Bernhard Rosenkraenzer <bero>
Status: CLOSED WORKSFORME QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.1   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-11-22 17:36:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description steele 1999-10-29 20:25:26 UTC
RH 6.1/Intel  2.2.12


The following messages appear during print operation:

shell-init: could not get current
directory:job-working-directory: could
not get current directory:
job-working-directory: could not get current directory:
/tmp/.26536.tmp

print operation does succeed. what do the messages mean
and how they be prevented?

Comment 1 Bill Nottingham 1999-11-01 19:00:59 UTC
It means that the shell can't read the directory it's currently
running out of.

What are the permissions on /var/spool/lpd/<whatever your printer name
is>/?

Comment 2 Bernhard Rosenkraenzer 1999-11-22 17:36:59 UTC
Closing this for now - if you're still having the problem, feel free to re-open
it with more information.